## preludedb-version

preludedb-version

## Functions

const char * | preludedb_check_version ()

## Types and Values

#define | LIBPRELUDEDB_VERSION

## Description

## Functions

### preludedb_check_version ()

    const char *
    preludedb_check_version (const char *req_version);

If `req_version` is NULL this function will return the version of the library. Otherwise, `req_version` will be compared to the current library version. If the library version is higher or equal, this function will return the current library version. Otherwise, NULL is returned.

#### Parameters

req_version | The minimum acceptable version number. |

#### Returns

The current library version, or NULL if `req_version` doesn't match.

## Types and Values

### LIBPRELUDEDB_VERSION

    #define LIBPRELUDEDB_VERSION "5.1.0"